Subject: bug#10184: 24.0.92; smtpmail-{auth,starttls}-credentials changes

From: Jay Berkenbilt <[email-masked]>
Date: Mon, 05 Dec 2011 09:18:38 -0500

On 12/04/2011 04:07 AM, Lars Magne Ingebrigtsen wrote:
> Jay Berkenbilt <[email-masked]> writes:
>
>> I think this is a bad change as it forces me to store passwords in clear
>> text on a file on disk, which I am not willing to do.
> You can store your passwords in any of the backends that auth-source
> supports, which includes encrypted files, keychains or Lisp code.

Perfect: .authinfo.gpg works for me.  I'm not sure how I was supposed to
know this.  It's not mentioned in NEWS, and it's not mentioned in the
manual for smtpmail-auth-credentials either.

By the way, I recognize the unmistakable writing style of the
auth-sources manual.  Very good reading. :-)

This issue can be considered resolved pending any updates to
documentation or pointers to appropriate documentation in the NEWS file,
which only mentions .authinfo.

--Jay